Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
-  trait LoopCommands extends AnyRef
  Definition Classes
    shell
- LineCmd
- LoopCommand
- NullaryCmd
- Result
- VarArgsCmd

c

scala.tools.nsc.interpreter.shell.LoopCommands

# NullaryCmd

###

#### class NullaryCmd extends LoopCommand

Source
  LoopCommands.scala

Linear Supertypes
LoopCommand, (String) => Result, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NullaryCmd
2. LoopCommand
3. Function1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new NullaryCmd(name: String, help: String, detailedHelp: Option[String], f: (String) => Result)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from NullaryCmd toany2stringadd[NullaryCmd] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (NullaryCmd, B)
   Implicit
     This member is added by an implicit conversion from NullaryCmd toArrowAssoc[NullaryCmd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen[A](g: (Result) => A): (String) => A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
7.  def apply(line: String): Result
   Definition Classes
     NullaryCmd → LoopCommand → Function1
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def completion: Completion
    Definition Classes
      LoopCommand
11.  def compose[A](g: (A) => String): (A) => Result
    Definition Classes
      Function1
    Annotations
      @unspecialized()
12.  val detailedHelp: Option[String]
    Definition Classes
      LoopCommand
13.  def ensuring(cond: (NullaryCmd) => Boolean, msg: => Any): NullaryCmd
    Implicit
      This member is added by an implicit conversion from NullaryCmd toEnsuring[NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (NullaryCmd) => Boolean): NullaryCmd
    Implicit
      This member is added by an implicit conversion from NullaryCmd toEnsuring[NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): NullaryCmd
    Implicit
      This member is added by an implicit conversion from NullaryCmd toEnsuring[NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): NullaryCmd
    Implicit
      This member is added by an implicit conversion from NullaryCmd toEnsuring[NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from NullaryCmd toStringFormat[NullaryCmd] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  val help: String
    Definition Classes
      LoopCommand
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  val name: String
    Definition Classes
      LoopCommand
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  def showUsage(): Result
    Definition Classes
      LoopCommand
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
32.  def usage: String
    Definition Classes
      LoopCommand
33.  def usageMsg: String
    Definition Classes
      LoopCommand
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (NullaryCmd, B)
   Implicit
     This member is added by an implicit conversion from NullaryCmd toArrowAssoc[NullaryCmd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from LoopCommand

### Inherited from (String) => Result

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromNullaryCmd to any2stringadd[NullaryCmd]

### Inherited by implicit conversion StringFormat fromNullaryCmd to StringFormat[NullaryCmd]

### Inherited by implicit conversion Ensuring fromNullaryCmd to Ensuring[NullaryCmd]

### Inherited by implicit conversion ArrowAssoc fromNullaryCmd to ArrowAssoc[NullaryCmd]

### Ungrouped